Page MenuHomePhabricator

Upgrade xenon, cerium and praseodymium to jessie
Closed, ResolvedPublic

Description

The cassandra test cluster is still on trusty, which has different versions of cassandra and other packages. This causes occasional incompatibilities in the configs. For example, right now the production cluster runs cassandra 2.1.3, while the test cluster is stuck at 2.1.2. The version 'jamm.jar' has changed between those versions, which prevents 2.1.2 from starting up with the 2.1.3 config.

It would be great to upgrade the test boxes to Jessie too, so that we can avoid working around incompatibilities & have more reliable test results before deploying changes to production.

Event Timeline

GWicke raised the priority of this task from to Needs Triage.
GWicke updated the task description. (Show Details)
GWicke added a project: acl*sre-team.
GWicke added subscribers: GWicke, mobrovac.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2015, 9:49 PM
coren assigned this task to fgiunchedi.Mar 3 2015, 3:15 PM
coren triaged this task as Medium priority.
coren added a subscriber: coren.

@GWicke @mobrovac @Eevans is the test cluster in use? if not I'd like to start reimaging tomorrow with jessie

Change 205827 had a related patch set uploaded (by Filippo Giunchedi):
reimage xenon, cerium and praseodymium as jessie

https://gerrit.wikimedia.org/r/205827

Change 205827 merged by Filippo Giunchedi:
reimage xenon, cerium and praseodymium as jessie

https://gerrit.wikimedia.org/r/205827

checking for SSDs in T96841

Change 206361 had a related patch set uploaded (by Filippo Giunchedi):
install-server: shrink cassandra raid0 minimum partition size

https://gerrit.wikimedia.org/r/206361

Change 206361 merged by Filippo Giunchedi:
install-server: shrink cassandra raid0 minimum partition size

https://gerrit.wikimedia.org/r/206361

fgiunchedi closed this task as Resolved.Apr 24 2015, 2:36 PM

machines reinstalled as jessie